export declare class JOSEError extends Error {
    code: string;
    constructor(message?: string);
}
export declare class JWTClaimValidationFailed extends JOSEError {
    code: string;
    claim: string;
    reason: string;
    constructor(message: string, claim?: string, reason?: string);
}
export declare class JOSEAlgNotAllowed extends JOSEError {
    code: string;
}
export declare class JOSENotSupported extends JOSEError {
    code: string;
}
export declare class JWEDecryptionFailed extends JOSEError {
    code: string;
    message: string;
}
export declare class JWEInvalid extends JOSEError {
    code: string;
}
export declare class JWSInvalid extends JOSEError {
    code: string;
}
export declare class JWTInvalid extends JOSEError {
    code: string;
}
export declare class JWKInvalid extends JOSEError {
    code: string;
}
export declare class JWKSInvalid extends JOSEError {
    code: string;
}
export declare class JWKSNoMatchingKey extends JOSEError {
    code: string;
    message: string;
}
export declare class JWKSMultipleMatchingKeys extends JOSEError {
    code: string;
    message: string;
}
export declare class JWSSignatureVerificationFailed extends JOSEError {
    code: string;
    message: string;
}
export declare class JWTExpired extends JWTClaimValidationFailed {
    code: string;
}
